{
  "name": "polykey",
  "version": "1.6.4",
  "homepage": "https://polykey.com",
  "author": "Matrix AI",
  "contributors": [
    {
      "name": "Roger Qiu"
    },
    {
      "name": "Aashwin Varshney"
    },
    {
      "name": "Robert Cronin"
    },
    {
      "name": "Lucas Lin"
    },
    {
      "name": "Gideon Rosales"
    },
    {
      "name": "Scott Morris"
    },
    {
      "name": "Joshua Karp"
    },
    {
      "name": "Brian Botha"
    },
    {
      "name": "Emma Casolin"
    },
    {
      "name": "Amy Yan"
    },
    {
      "name": "Aditya Varma"
    }
  ],
  "description": "Polykey Core Library",
  "keywords": [
    "secrets",
    "password"
  ],
  "license": "GPL-3.0",
  "repository": {
    "type": "git",
    "url": "https://github.com/MatrixAI/Polykey.git"
  },
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "scripts": {
    "prepare": "tsc -p ./tsconfig.build.json",
    "build": "shx rm -rf ./dist && tsc -p ./tsconfig.build.json",
    "postbuild": "shx cp -f src/status/*.json dist/status/",
    "postversion": "npm install --package-lock-only --ignore-scripts --silent",
    "ts-node": "ts-node",
    "ts-node-inspect": "node --require ts-node/register --inspect",
    "test": "jest",
    "lint": "eslint '{src,tests,scripts}/**/*.{js,ts,json}' 'benches/**/*.{js,ts}'",
    "lintfix": "eslint '{src,tests,scripts}/**/*.{js,ts,json}' 'benches/**/*.{js,ts}' --fix",
    "lint-shell": "find ./src ./tests ./scripts -type f -regextype posix-extended -regex '.*\\.(sh)' -exec shellcheck {} +",
    "docs": "shx rm -rf ./docs && typedoc --gitRevision master --tsconfig ./tsconfig.build.json --out ./docs src",
    "bench": "shx rm -rf ./benches/results && ts-node ./benches"
  },
  "dependencies": {
    "@matrixai/async-cancellable": "^1.1.1",
    "@matrixai/async-init": "^1.10.0",
    "@matrixai/async-locks": "^4.0.0",
    "@matrixai/contexts": "^1.1.0",
    "@matrixai/db": "^5.3.0",
    "@matrixai/errors": "^1.2.0",
    "@matrixai/events": "^3.2.3",
    "@matrixai/id": "^3.3.6",
    "@matrixai/logger": "^3.1.2",
    "@matrixai/mdns": "^1.2.6",
    "@matrixai/quic": "^1.2.8",
    "@matrixai/resources": "^1.1.5",
    "@matrixai/rpc": "^0.5.1",
    "@matrixai/timer": "^1.1.3",
    "@matrixai/workers": "^1.3.7",
    "@matrixai/ws": "^1.1.7",
    "@peculiar/asn1-pkcs8": "^2.3.0",
    "@peculiar/asn1-schema": "^2.3.0",
    "@peculiar/asn1-x509": "^2.3.0",
    "@peculiar/webcrypto": "^1.4.3",
    "@peculiar/x509": "^1.8.3",
    "@scure/bip39": "^1.1.0",
    "ajv": "^7.0.4",
    "canonicalize": "^1.0.5",
    "cheerio": "^1.0.0-rc.5",
    "cross-fetch": "^3.0.6",
    "cross-spawn": "^7.0.3",
    "encryptedfs": "^3.5.6",
    "fast-fuzzy": "^1.10.8",
    "fd-lock": "^1.2.0",
    "ip-num": "^1.3.3-0",
    "isomorphic-git": "^1.8.1",
    "ix": "^5.0.0",
    "lexicographic-integer": "^1.1.0",
    "multiformats": "^9.4.8",
    "pako": "^1.0.11",
    "prompts": "^2.4.1",
    "resource-counter": "^1.2.4",
    "sodium-native": "^3.4.1",
    "threads": "^1.6.5"
  },
  "devDependencies": {
    "@fast-check/jest": "^1.1.0",
    "@swc/core": "1.3.82",
    "@swc/jest": "^0.2.29",
    "@types/cross-spawn": "^6.0.2",
    "@types/jest": "^29.5.2",
    "@types/node": "^20.5.7",
    "@types/pako": "^1.0.2",
    "@types/prompts": "^2.0.13",
    "@types/readable-stream": "^2.3.11",
    "@typescript-eslint/eslint-plugin": "^5.61.0",
    "@typescript-eslint/parser": "^5.61.0",
    "benny": "^3.7.1",
    "common-tags": "^1.8.2",
    "eslint": "^8.44.0",
    "eslint-config-prettier": "^8.8.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-prettier": "^5.0.0-alpha.2",
    "fast-check": "^3.0.1",
    "jest": "^29.6.2",
    "jest-extended": "^4.0.0",
    "jest-junit": "^16.0.0",
    "jest-mock-props": "^1.9.1",
    "prettier": "^3.0.0",
    "shx": "^0.3.4",
    "systeminformation": "^5.18.5",
    "ts-jest": "^29.1.1",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^3.9.0",
    "typedoc": "^0.24.8",
    "typescript": "^5.1.6"
  }
}
